Index: /trunk/phpgwapi/setup/setup.inc.php
===================================================================
--- /trunk/phpgwapi/setup/setup.inc.php	(revision 3772)
+++ /trunk/phpgwapi/setup/setup.inc.php	(revision 4180)
@@ -14,5 +14,5 @@
 	$setup_info['phpgwapi']['name']      = 'phpgwapi';
 	$setup_info['phpgwapi']['title']     = 'API';
-	$setup_info['phpgwapi']['version']   = '2.2.000';
+	$setup_info['phpgwapi']['version']   = '2.2.1';
 	$setup_info['phpgwapi']['versions']['current_header'] = '2.2';
 	$setup_info['phpgwapi']['enable']    = 3;
Index: /trunk/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /trunk/phpgwapi/setup/tables_update.inc.php	(revision 3857)
+++ /trunk/phpgwapi/setup/tables_update.inc.php	(revision 4180)
@@ -109,3 +109,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+	$test[] = '2.2.000';
+	function phpgwapi_upgrade2_2_000()
+	{
+		$GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.1';
+		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
+	}
 ?>
Index: /trunk/news_admin/setup/setup.inc.php
===================================================================
--- /trunk/news_admin/setup/setup.inc.php	(revision 3772)
+++ /trunk/news_admin/setup/setup.inc.php	(revision 4180)
@@ -14,5 +14,5 @@
 	$setup_info['news_admin']['name']      = 'news_admin';
 	$setup_info['news_admin']['title']     = 'News Admin';
-	$setup_info['news_admin']['version']   = '2.2.000';
+	$setup_info['news_admin']['version']   = '2.2.1';
 	$setup_info['news_admin']['app_order'] = 16;
 	$setup_info['news_admin']['enable']    = 1;
Index: /trunk/news_admin/setup/tables_update.inc.php
===================================================================
--- /trunk/news_admin/setup/tables_update.inc.php	(revision 3031)
+++ /trunk/news_admin/setup/tables_update.inc.php	(revision 4180)
@@ -37,3 +37,9 @@
 		return $GLOBALS['setup_info']['news_admin']['currentver'];
 	}	
+	$test[] = '2.2.000';
+	function news_admin_upgrade2_2_000()
+	{
+		$GLOBALS['setup_info']['news_admin']['currentver'] = '2.2.1';
+		return $GLOBALS['setup_info']['news_admin']['currentver'];
+	}
 ?>
Index: /trunk/reports/setup/setup.inc.php
===================================================================
--- /trunk/reports/setup/setup.inc.php	(revision 3763)
+++ /trunk/reports/setup/setup.inc.php	(revision 4180)
@@ -13,5 +13,5 @@
 	$setup_info['reports']['title']     	= 'Expresso Reports';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['reports']['version']   	= '2.2.000';
+	$setup_info['reports']['version']   	= '2.2.1';
 	$setup_info['reports']['app_order']	= 17;
 	$setup_info['reports']['tables']    = '';
Index: /trunk/mobile/setup/setup.inc.php
===================================================================
--- /trunk/mobile/setup/setup.inc.php	(revision 3797)
+++ /trunk/mobile/setup/setup.inc.php	(revision 4180)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.2.000';
+	$setup_info['mobile']['version']   = '2.2.1';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
Index: /trunk/filemanager/setup/setup.inc.php
===================================================================
--- /trunk/filemanager/setup/setup.inc.php	(revision 3956)
+++ /trunk/filemanager/setup/setup.inc.php	(revision 4180)
@@ -14,5 +14,5 @@
 	$setup_info['filemanager']['name']    = 'filemanager';
 	$setup_info['filemanager']['title']   = 'Filemanager';
-	$setup_info['filemanager']['version'] = '2.2.000';
+	$setup_info['filemanager']['version'] = '2.2.1';
 	$setup_info['filemanager']['app_order'] = 6;
 	$setup_info['filemanager']['enable']  = 1;
Index: /trunk/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 3046)
+++ /trunk/expressoAdmin1_2/setup/tables_update.inc.php	(revision 4180)
@@ -61,3 +61,9 @@
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
+	$test[] = '2.2.000';
+	function expressoAdmin1_2_upgrade2_2_000()
+	{
+		$GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.1';
+		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
+	}
 ?>
Index: /trunk/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 3031)
+++ /trunk/expressoAdmin1_2/setup/setup.inc.php	(revision 4180)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.2.000';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.2.1';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
Index: /trunk/listAdmin/setup/setup.inc.php
===================================================================
--- /trunk/listAdmin/setup/setup.inc.php	(revision 3772)
+++ /trunk/listAdmin/setup/setup.inc.php	(revision 4180)
@@ -9,5 +9,5 @@
 	$setup_info['listAdmin']['name'] = 'listAdmin';
 	$setup_info['listAdmin']['title'] = 'Mailman Admin';
-	$setup_info['listAdmin']['version'] = '2.2.000';
+	$setup_info['listAdmin']['version'] = '2.2.1';
 	$setup_info['listAdmin']['app_order'] = 10;
 	$setup_info['listAdmin']['enable'] = 1;
Index: /trunk/help/setup/setup.inc.php
===================================================================
--- /trunk/help/setup/setup.inc.php	(revision 3031)
+++ /trunk/help/setup/setup.inc.php	(revision 4180)
@@ -13,5 +13,5 @@
 	$setup_info['help']['name']      = 'help';
 	$setup_info['help']['title']     = 'User Manual and Help Page';
-	$setup_info['help']['version']   = '2.2.000';
+	$setup_info['help']['version']   = '2.2.1';
 	$setup_info['help']['app_order'] = 5;
 	$setup_info['help']['enable']    = 2;	// Invisible on top (navigation bar)
Index: /trunk/admin/setup/setup.inc.php
===================================================================
--- /trunk/admin/setup/setup.inc.php	(revision 3772)
+++ /trunk/admin/setup/setup.inc.php	(revision 4180)
@@ -13,5 +13,5 @@
 	$setup_info['admin']['name']      = 'admin';
 	$setup_info['admin']['title']      = 'Admin';
-	$setup_info['admin']['version']   = '2.2.000';
+	$setup_info['admin']['version']   = '2.2.1';
 	$setup_info['admin']['app_order'] = 1;
 	$setup_info['admin']['tables']    = '';
Index: /trunk/jabberit_messenger/setup/setup.inc.php
===================================================================
--- /trunk/jabberit_messenger/setup/setup.inc.php	(revision 3772)
+++ /trunk/jabberit_messenger/setup/setup.inc.php	(revision 4180)
@@ -8,5 +8,5 @@
 	$setup_info['jabberit_messenger']['name']      	= 'jabberit_messenger';
 	$setup_info['jabberit_messenger']['title']     	= 'Expresso Messenger';
-	$setup_info['jabberit_messenger']['version']   	= '2.2.000';
+	$setup_info['jabberit_messenger']['version']   	= '2.2.1';
 	$setup_info['jabberit_messenger']['app_order'] 	= 9;
 	$setup_info['jabberit_messenger']['enable']    	= 1;
Index: /trunk/contactcenter/setup/tables_update.inc.php
===================================================================
--- /trunk/contactcenter/setup/tables_update.inc.php	(revision 3765)
+++ /trunk/contactcenter/setup/tables_update.inc.php	(revision 4180)
@@ -54,3 +54,8 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}	
+	$test[] = '2.2.000';
+	function contactcenter_upgrade2_2_000() {				
+		$GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.1';
+		return $GLOBALS['setup_info']['contactcenter']['currentver'];
+	}
 ?>
Index: /trunk/contactcenter/setup/setup.inc.php
===================================================================
--- /trunk/contactcenter/setup/setup.inc.php	(revision 3031)
+++ /trunk/contactcenter/setup/setup.inc.php	(revision 4180)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.2.000';
+	$setup_info['contactcenter']['version']   = '2.2.1';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
Index: /trunk/emailadmin/setup/setup.inc.php
===================================================================
--- /trunk/emailadmin/setup/setup.inc.php	(revision 3031)
+++ /trunk/emailadmin/setup/setup.inc.php	(revision 4180)
@@ -14,5 +14,5 @@
 	$setup_info['emailadmin']['name']      = 'emailadmin';
 	$setup_info['emailadmin']['title']     = 'EMailAdmin';
-	$setup_info['emailadmin']['version']   = '2.2.000';
+	$setup_info['emailadmin']['version']   = '2.2.1';
 	$setup_info['emailadmin']['app_order'] = 10;
 	$setup_info['emailadmin']['enable']    = 2;
Index: /trunk/emailadmin/setup/tables_update.inc.php
===================================================================
--- /trunk/emailadmin/setup/tables_update.inc.php	(revision 3173)
+++ /trunk/emailadmin/setup/tables_update.inc.php	(revision 4180)
@@ -110,3 +110,9 @@
       return $GLOBALS['setup_info']['emailadmin']['currentver'];
    }
+   $test[] = '2.2.000';
+   function emailadmin_upgrade2_2_000()
+	{
+      $GLOBALS['setup_info']['emailadmin']['currentver'] = '2.2.1';
+      return $GLOBALS['setup_info']['emailadmin']['currentver'];
+   }
 ?>
Index: /trunk/preferences/setup/setup.inc.php
===================================================================
--- /trunk/preferences/setup/setup.inc.php	(revision 3031)
+++ /trunk/preferences/setup/setup.inc.php	(revision 4180)
@@ -13,5 +13,5 @@
 	$setup_info['preferences']['name']      = 'preferences';
 	$setup_info['preferences']['title']     = 'Preferences';
-	$setup_info['preferences']['version']   = '2.2.000';
+	$setup_info['preferences']['version']   = '2.2.1';
 	$setup_info['preferences']['app_order'] = 1;
 	$setup_info['preferences']['tables']    = '';
Index: /trunk/calendar/setup/setup.inc.php
===================================================================
--- /trunk/calendar/setup/setup.inc.php	(revision 3772)
+++ /trunk/calendar/setup/setup.inc.php	(revision 4180)
@@ -13,5 +13,5 @@
 	$setup_info['calendar']['name']    = 'calendar';
 	$setup_info['calendar']['title']    = 'Calendar';
-	$setup_info['calendar']['version'] = '2.2.000';
+	$setup_info['calendar']['version'] = '2.2.1';
 	$setup_info['calendar']['app_order'] = 3;
 	$setup_info['calendar']['enable']  = 1;
Index: /trunk/calendar/setup/tables_update.inc.php
===================================================================
--- /trunk/calendar/setup/tables_update.inc.php	(revision 3765)
+++ /trunk/calendar/setup/tables_update.inc.php	(revision 4180)
@@ -80,3 +80,9 @@
 		return $GLOBALS['setup_info']['calendar']['currentver'];
 	}
+	$test[] = '2.2.000';
+	function calendar_upgrade2_2_000()
+	{
+		$GLOBALS['setup_info']['calendar']['currentver'] = '2.2.1';
+		return $GLOBALS['setup_info']['calendar']['currentver'];
+	}
 ?>
Index: /trunk/workflow/setup/setup.inc.php
===================================================================
--- /trunk/workflow/setup/setup.inc.php	(revision 3772)
+++ /trunk/workflow/setup/setup.inc.php	(revision 4180)
@@ -13,5 +13,5 @@
 	$setup_info['workflow']['name']			= 'workflow';
 	$setup_info['workflow']['title']		= 'Workflow Management';
-	$setup_info['workflow']['version']		= '2.2.000';
+	$setup_info['workflow']['version']		= '2.2.1';
 	$setup_info['workflow']['app_order']	= 10;
 	$setup_info['workflow']['enable']		= 1;
Index: /trunk/workflow/setup/tables_update.inc.php
===================================================================
--- /trunk/workflow/setup/tables_update.inc.php	(revision 3255)
+++ /trunk/workflow/setup/tables_update.inc.php	(revision 4180)
@@ -203,3 +203,10 @@
 		return $GLOBALS['setup_info']['workflow']['currentver'];
 	}
+	$test[] = '2.2.000';
+	function workflow_upgrade2_2_000()
+	{
+		#updating the current version
+		$GLOBALS['setup_info']['workflow']['currentver'] = '2.2.1';
+		return $GLOBALS['setup_info']['workflow']['currentver'];
+	}
 ?>
Index: /trunk/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 3857)
+++ /trunk/expressoMail1_2/setup/tables_update.inc.php	(revision 4180)
@@ -101,3 +101,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}	
+	$test[] = '2.2.000';
+	function expressoMail1_2_upgrade2_2_000() {
+		$setup_info['expressoMail1_2']['currentver'] = '2.2.1';
+		return $setup_info['expressoMail1_2']['currentver'];
+	}
 ?>
Index: /trunk/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /trunk/expressoMail1_2/setup/setup.inc.php	(revision 3031)
+++ /trunk/expressoMail1_2/setup/setup.inc.php	(revision 4180)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.2.000';
+	$setup_info['expressoMail1_2']['version']   	= '2.2.1';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';