Index: branches/2.2/mobile/inc/class.mobiletemplate.inc.php
===================================================================
--- branches/2.2/mobile/inc/class.mobiletemplate.inc.php	(revision 4149)
+++ branches/2.2/mobile/inc/class.mobiletemplate.inc.php	(revision 4188)
@@ -11,5 +11,6 @@
 	 	* @author Nilton Emilio Buhrer Neto <niltonneto@celepar.pr.gov.br>
 	 	*/		
-		function mobiletemplate(){
+		function mobiletemplate()
+		{
 			$this->template = CreateObject('phpgwapi.Template', PHPGW_SERVER_ROOT . '/mobile/templates/'.$GLOBALS['phpgw_info']['server']['template_set']);
 			
@@ -93,6 +94,8 @@
 	 	* @author Nilton Emilio Buhrer Neto <niltonneto@celepar.pr.gov.br>
 	 	*/
-		public function print_page($class, $method){
-			if($GLOBALS['phpgw']->session->appsession('mobile.layout','mobile') == "mini_desktop") {
+		public function print_page($class, $method )
+		{
+			if( $GLOBALS['phpgw']->session->appsession('mobile.layout','mobile') == "mini_desktop" )
+			{
 				//force to don'	t call ui_home.index in a mini desktop version
 				if($class == "ui_home" && $method == "index") {
@@ -141,5 +144,11 @@
 				$this->template->set_var('style_2','position:relative; float: right; display: block');
 			}
-			
+
+			if( isset($_SESSION['mobile']['displayIOS']) && $_SESSION['mobile']['displayIOS'] == "true" )
+				$this->template->set_var('display_IOS', "none");
+			else
+				$this->template->set_var('display_IOS', "block");
+				
+			$this->template->set_var('lang_tips', lang('Tips'));
 			$this->template->set_var('lang_logout', lang('logout'));
 			$this->template->set_var('lang_search', lang('search'));
Index: branches/2.2/mobile/templates/default/dicas.tpl
===================================================================
--- branches/2.2/mobile/templates/default/dicas.tpl	(revision 4069)
+++ branches/2.2/mobile/templates/default/dicas.tpl	(revision 4188)
@@ -1,3 +1,77 @@
-<!-- BEGIN page -->
+<!-- BEGIN android -->
+
+<div>
+	<div style="margin:10px;">
+		<b>Como adicionar o ícone à tela inicial do Android?</b>
+	</div>
+	
+	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
+		1- ) Acesse <em>expresso.pr.gov.br</em> no navegador do Android. 
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/android1.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		Mostrando suas pastas, emails, compromissos e contatos.
+		<br clear="all"/>
+		<br clear="all"/> 
+		<img src="templates/default/images/android2.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		<br clear="all"/>
+		<br clear="all"/>
+	</div>
+	
+	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
+		2- ) No canto superior direito clique, no ícone conforme imagem.
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/android3.png" style="border:1px solid #cecece;"/>
+		<br clear="all"/>
+		Adicione este link em seu Bookmark ( Favorito ), clicando no botão Add ( Adicionar).
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/android4.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/android5.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		<br clear="all"/>
+	</div>
+	
+	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
+		3- ) Após adicionar o link em seu Bookmarks( Favorito )
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/android6.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		<br clear="all"/>
+		Volte na Área de Trabalho do android, e crie um Shortcus( Atalho )
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/android7.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		<br clear="all"/>
+		Selecione o ítem Bookmark ( Favorito ), em Select Shortcut( Selecione o Atalho ).
+		<img src="templates/default/images/android8.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/android9.png" width="200px" height="275px" style="border:1px solid #000;"/>
+	</div>
+	
+	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
+		4- ) Terminado o procedimento, o ícone do ExpressoLivre aparecerá em sua tela inicial
+		e o acesso poderá ser feito através dele.
+		<br clear="all"/>
+		<br clear="all"/>
+		<img src="templates/default/images/android10.png" width="200px" height="275px" style="border:1px solid #000;"/>
+		<br clear="all"/>
+		<br clear="all"/>
+		<br clear="all"/>
+	</div>
+
+</div>
+
+<!-- END android -->
+
+<!-- BEGIN iphone -->
 
 <div>
@@ -22,5 +96,5 @@
 		<br clear="all"/>
 		<br clear="all"/>
-		<img src="templates/default/images/iphone2.png" width="200px" height="275px" style="border:1px solid #000;/>
+		<img src="templates/default/images/iphone2.png" width="200px" height="275px" style="border:1px solid #000;"/>
 		<br clear="all"/>
 		<br clear="all"/>
@@ -32,5 +106,5 @@
 		<br clear="all"/>
 		<br clear="all"/>
-		<img src="templates/default/images/iphone3.png" width="200px" height="275px" style="border:1px solid #000;/>
+		<img src="templates/default/images/iphone3.png" width="200px" height="275px" style="border:1px solid #000;"/>
 		<br clear="all"/>
 		<br clear="all"/>
@@ -40,5 +114,5 @@
 	<div style="border-bottom:1px dashed #000 !important; margin:10px;">
 		4- ) Terminado o procedimento, o ícone do ExpressoLivre aparecerá em sua tela inicial
-		e o acesso em poderá ser feito <em>expresso.pr.gov.br</em>.
+		e o acesso poderá ser feito através dele.
 		<br clear="all"/>
 		<br clear="all"/>
@@ -51,3 +125,3 @@
 </div>
 
-<!-- END page -->
+<!-- END iphone -->