Index: /branches/2.2.0.1/expressoMail1_2/js/main.js
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/js/main.js	(revision 4139)
+++ /branches/2.2.0.1/expressoMail1_2/js/main.js	(revision 4189)
@@ -395,29 +395,18 @@
 		var box = Element("tbody_box");
 		if (box.childNodes.length == 0)
-		{
-			var tr_info = document.createElement("TR");
-			var td_info = document.createElement("TD");
-			td_info.setAttribute("colspan", "10");
-			td_info.setAttribute("background", "#FFF");
-			td_info.setAttribute("id","msg_info");
-			td_info.id = "msg_info";
-			td_info.align = "center";
-			td_info.style.padding = "25px";
-	   		td_info.style.fontWeight = "bold";
-			td_info.style.fontSize = "11pt";
-			td_info.innerHTML = get_lang("This mail box is empty");
-			tr_info.appendChild(td_info);
-			box.appendChild(td_info);
-		}
+			showEmptyBoxMsg(box);
 
 		if (data.length > 0){
+			table_element = Element("table_box");
 			var msg_info = document.getElementById('msg_info');
 			if (msg_info != null)
 			{
-				var msg_tr = msg_info.parentNode;
-				msg_tr.removeChild(msg_info);
-			}
-
-			table_element = Element("table_box");
+				var msg_tr = msg_info.parentNode.parentNode;
+				msg_tr.removeChild(msg_info.parentNode);
+				var colgr_element = buildColGroup();
+				colgr_element.setAttribute("id","colgroup_main_"+numBox);
+				table_element.appendChild(colgr_element);
+			}
+
 			var box = Element("tbody_box");
 			table_element.appendChild(box);
@@ -464,4 +453,5 @@
 		connector.purgeCache();
 		update_menu();
+		resizeMailList();
 	}
 
Index: /branches/2.2.0.1/expressoMail1_2/js/draw_api.js
===================================================================
--- /branches/2.2.0.1/expressoMail1_2/js/draw_api.js	(revision 4143)
+++ /branches/2.2.0.1/expressoMail1_2/js/draw_api.js	(revision 4189)
@@ -850,4 +850,5 @@
 	else
 		thisCell = document.getElementById("table_message_header_box_"+numBox).rows[0].cells[0];
+	var emptyBody = document.getElementById("table_message_header_box_"+numBox).emptyBody;
 	var tbH = getFirstParentOfType(thisCell,"TABLE");
 	var tbM = getMessagesTable(thisCell);
@@ -857,4 +858,5 @@
 			trM[r].cells[c].setAttribute("width",colSizes[tbl][c]);
 			if (is_mozilla && !is_webkit) {
+				if (!emptyBody)
 				document.getElementById("colgroup_main_"+numBox).childNodes[c].setAttribute("width",colSizes[tbl][c]);
 				document.getElementById("colgroup_head_"+numBox).childNodes[c].setAttribute("width",colSizes[tbl][c]);
@@ -1158,19 +1160,8 @@
 
 	document.getElementById("table_message_header_box_"+numBox).emptyBody = false;
-		if (headers_msgs.num_msgs == 0){
-		document.getElementById("table_message_header_box_"+numBox).emptyBody = true;
-		tr_info = document.createElement("TR");
-		td_info = document.createElement("TD");
-		h3_info = document.createElement("H3");
-			td_info.setAttribute("background", "#FFF");
-		td_info.setAttribute("width","100%");
-		h3_info.style.padding = "10px";
-		h3_info.setAttribute("id", "msg_info");
-		h3_info.align = "center";
-		h3_info.innerHTML = get_lang("This mail box is empty");
-		td_info.appendChild(h3_info);
-			tr_info.appendChild(td_info);
-		tbody_element.appendChild(tr_info);
-		}
+
+	if (headers_msgs.num_msgs == 0)
+		showEmptyBoxMsg(tbody_element);
+
 	for (var i=0; i < headers_msgs.length; i++){
 			if ((headers_msgs[i].Unseen == 'U') || (headers_msgs[i].Recent == 'N'))
@@ -1229,4 +1220,23 @@
     }
 
+}
+
+function showEmptyBoxMsg(tbody_element) {
+	document.getElementById("table_message_header_box_"+numBox).emptyBody = true;
+	var colgr_element = document.getElementById("colgroup_main_"+numBox);
+	if (colgr_element)
+		tbody_element.parentNode.removeChild(colgr_element); // remove colgroup so it does not affect colspan (mainly IE)
+	tr_info = document.createElement("TR");
+	td_info = document.createElement("TD");
+	h3_info = document.createElement("H3");
+	td_info.setAttribute("background", "#FFF");
+	td_info.setAttribute("colspan",colSizes[0].length);
+	h3_info.style.padding = "10px";
+	h3_info.setAttribute("id", "msg_info");
+	h3_info.align = "center";
+	h3_info.innerHTML = get_lang("This mail box is empty");
+	td_info.appendChild(h3_info);
+	tr_info.appendChild(td_info);
+	tbody_element.appendChild(tr_info);
 }
 