Index: branches/2.2/contactcenter/inc/class.ui_data.inc.php
===================================================================
--- branches/2.2/contactcenter/inc/class.ui_data.inc.php	(revision 4224)
+++ branches/2.2/contactcenter/inc/class.ui_data.inc.php	(revision 4227)
@@ -3583,5 +3583,5 @@
 			if(!count($contacts))
 				echo null;
-
+                        
 			switch($typeExport) {
 
@@ -3819,46 +3819,53 @@
 
 				case 'expresso':
-	                    $streamBuffer = 'Nome,Apelido,E-mail Principal,E-mail Alternativo,Celular,'
-	                        . 'Telefone Comercial,Endereço Comercial,Complemento End. Comercial,CEP Comercial,Cidade End. Comercial,Estado End. Comercial,País End. Comercial,'
-	                        . 'Telefone Residencial,Endereço Residencial,Complemento End. Residencial,CEP Residencial,Cidade End. Residencial,Estado End. Residencial,País End. Residencial,'
-	                        . 'Aniversário,Sexo,Assinatura GPG,Notas,Página Web,Empresa,Cargo,Departamento,Fax Comercial,Pager Comercial,Celular Comercial,Fax,Pager,Endereço Comercial 2,Endereço Residencial 2'
+                                    $streamBuffer = 'Nome,Apelido,E-mail Principal,E-mail Alternativo,Celular,'
+                                    . 'Telefone Comercial,Endereço Comercial,Complemento End. Comercial,CEP Comercial,Cidade End. Comercial,Estado End. Comercial,País End. Comercial,'
+                                    . 'Telefone Residencial,Endereço Residencial,Complemento End. Residencial,CEP Residencial,Cidade End. Residencial,Estado End. Residencial,País End. Residencial,'
+                                    . 'Aniversário,Sexo,Assinatura GPG,Notas,Página Web,Empresa,Cargo,Departamento,Fax Comercial,Pager Comercial,Celular Comercial,Fax,Pager,Endereço Comercial 2,Endereço Residencial 2'
 							. "\r\n";
 
-	                    foreach($contacts as $index => $object){
-	                        $streamBuffer .= "\"".$object[ 'names_ordered'] . "\","
-	                            . "\"".$object[ 'alias' ] . "\","
-	                            . "\"".$object[ 'main-mail' ] . "\","
-	                            . "\"".$object[ 'alternative-mail' ] . "\","
-	                            . "\"".$object[ 'mobile' ] . "\","
-	                            . "\"".$object[ 'business-phone' ] . "\","
-	                            . "\"".$object[ 'business-address' ] . "\","
-	                            . "\"".$object[ 'business-complement' ] . "\","
-	                            . "\"".$object[ 'business-postal_code' ] . "\","
-	                            . "\"".$object[ 'business-city_name' ] . "\","
-	                            . "\"".$object[ 'business-state_name' ] . "\","
-	                            . "\"".$object[ 'business-id_country' ] . "\","
-	                            . "\"".$object[ 'home-phone' ] . "\","
-	                            . "\"".$object[ 'home-address' ] . "\","
-	                            . "\"".$object[ 'home-complement' ] . "\","
-	                            . "\"".$object[ 'home-postal_code' ] . "\","
-	                            . "\"".$object[ 'home-city_name' ] . "\","
-	                            . "\"".$object[ 'home-state_name' ] . "\","
-	                            . "\"".$object[ 'home-id_country' ] . "\","
-								. "\"".$object[ 'birthdate' ] . "\","
-								. "\"".$object[ 'sex' ] . "\","
-								. "\"".$object[ 'pgp_key' ] . "\","
-								. "\"".str_replace("\r\n\x0a","\t",$object[ 'notes' ]) . "\","
-								. "\"".$object[ 'web_page' ] . "\","
-								. "\"".$object[ 'corporate_name' ] . "\","
-								. "\"".$object[ 'job_title' ] . "\","
-								. "\"".$object[ 'department' ] . "\","
-								. "\"".$object[ 'business-fax' ] . "\","
-								. "\"".$object[ 'business-pager' ] . "\","
-								. "\"".$object[ 'business-mobile' ] . "\","
-								. "\"".$object[ 'home-fax' ] . "\","
-								. "\"".$object[ 'home-pager' ] . "\","
-								. "\"".$object[ 'business-address-2' ] . "\","
-								. "\"".$object[ 'home-address-2' ] . "\"\r\n";
-	                    }
+                                    foreach($contacts as $index => $object)
+                                    {
+                                        if( array_key_exists("phone", $object) )                                        
+                                           $phone = $object['phone'];     
+                                        else
+                                           $phone = $object['business-phone'];     
+                                        
+                                        $streamBuffer .= "\"".$object[ 'names_ordered'] . "\","
+                                            . "\"".$object[ 'alias' ] . "\","
+                                            . "\"".$object[ 'main-mail' ] . "\","
+                                            . "\"".$object[ 'alternative-mail' ] . "\","
+                                            . "\"".$object[ 'mobile' ] . "\","
+                                            . "\"".$phone . "\","
+                                            . "\"".$object[ 'business-address' ] . "\","
+                                            . "\"".$object[ 'business-complement' ] . "\","
+                                            . "\"".$object[ 'business-postal_code' ] . "\","
+                                            . "\"".$object[ 'business-city_name' ] . "\","
+                                            . "\"".$object[ 'business-state_name' ] . "\","
+                                            . "\"".$object[ 'business-id_country' ] . "\","
+                                            . "\"".$object[ 'home-phone' ] . "\","
+                                            . "\"".$object[ 'home-address' ] . "\","
+                                            . "\"".$object[ 'home-complement' ] . "\","
+                                            . "\"".$object[ 'home-postal_code' ] . "\","
+                                            . "\"".$object[ 'home-city_name' ] . "\","
+                                            . "\"".$object[ 'home-state_name' ] . "\","
+                                            . "\"".$object[ 'home-id_country' ] . "\","
+                                            . "\"".$object[ 'birthdate' ] . "\","
+                                            . "\"".$object[ 'sex' ] . "\","
+                                            . "\"".$object[ 'pgp_key' ] . "\","
+                                            . "\"".str_replace("\r\n\x0a","\t",$object[ 'notes' ]) . "\","
+                                            . "\"".$object[ 'web_page' ] . "\","
+                                            . "\"".$object[ 'corporate_name' ] . "\","
+                                            . "\"".$object[ 'job_title' ] . "\","
+                                            . "\"".$object[ 'department' ] . "\","
+                                            . "\"".$object[ 'business-fax' ] . "\","
+                                            . "\"".$object[ 'business-pager' ] . "\","
+                                            . "\"".$object[ 'business-mobile' ] . "\","
+                                            . "\"".$object[ 'home-fax' ] . "\","
+                                            . "\"".$object[ 'home-pager' ] . "\","
+                                            . "\"".$object[ 'business-address-2' ] . "\","
+                                            . "\"".$object[ 'home-address-2' ] . "\"\r\n";
+                                            
+                                    }
 	                break;
 
@@ -4071,4 +4078,5 @@
 								case 'Telefone principal':
 								case 'Telefone comercial':
+                                                                case 'Telefone Comercial':                                                                    
 									$phone_pos = $index;
 									break;