Index: /sandbox/2.2.0.2/expressoMail1_2/preferences.php
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/preferences.php	(revision 1121)
+++ /sandbox/2.2.0.2/expressoMail1_2/preferences.php	(revision 4231)
@@ -24,4 +24,10 @@
     	$current_config = $c->config_data;    
 		
+		
+		if($GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['show_name_print_messages']) 
+			$GLOBALS['phpgw']->template->set_var('checked_show_name_print_messages', 'checked'); 
+		else 
+			$GLOBALS['phpgw']->template->set_var('checked_show_name_print_messages', ''); 
+							
 		
 		if($GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['max_email_per_page'])
@@ -196,4 +202,9 @@
 	else //Save Config
 	{
+		if ($GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['show_name_print_messages']) 
+			$GLOBALS['phpgw']->preferences->change('expressoMail', 'show_name_print_messages', $_POST['show_name_print_messages']); 
+ 	  	else  
+			$GLOBALS['phpgw']->preferences->add('expressoMail', 'show_name_print_messages', $_POST['show_name_print_messages']); 
+		
 		if ($GLOBALS['phpgw_info']['user']['preferences']['expressoMail']['max_email_per_page'])
 			$GLOBALS['phpgw']->preferences->change('expressoMail','max_email_per_page',$_POST['max_emails_per_page']);
@@ -331,4 +342,5 @@
 	));
 
+	$GLOBALS['phpgw']->template->set_var('lang_name_print_messages', lang('View the user name in the header of the messages printed?')); 
 	$GLOBALS['phpgw']->template->set_var('lang_config_expressoMail',lang('Config for ExpressoMail'));
 	$GLOBALS['phpgw']->template->set_var('lang_max_emails_per_page',lang('What is the maximum number of messages per page?'));
@@ -404,4 +416,5 @@
 		$GLOBALS['phpgw']->template->set_var('checked_use_signature','checked');
 		$GLOBALS['phpgw']->template->set_var('checked_mainscreen_showmail','checked');
+		$GLOBALS['phpgw']->template->set_var('checked_show_name_print_messages','checked'); 
 		$save_in_folder_selected = "INBOX".$e_server['imapDelimiter'].$specialFolders["Sent"];
 	}
Index: /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_es-es.lang
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_es-es.lang	(revision 3854)
+++ /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_es-es.lang	(revision 4231)
@@ -596,2 +596,5 @@
 zip mails to import	expressoMail1_2	es-es	Archivo .zip o .eml:
 Show TO: in place of FROM: only in Automatic SEND folder	expressoMail1_2	es-es	Cambiar remitente por destinatário en la columna QIUEM solamente en la carpeta Enviado
+View the user name in the header of the messages printed?	expressoMail1_2	es-es	Ver el nombre de usuario en el encabezado de los mensajes impresos?	
+Displays the user name in the header print email	expressoMail1_2	es-es	Muestra el nombre de usuario en el correo electrónico imprimir el encabezado 	
+
Index: /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 4122)
+++ /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 4231)
@@ -656,2 +656,4 @@
 gears firefox linux url	expressoMail1_2	pt-br	URL de instalação do Gears para o Firefox - linux
 gears ie url	expressoMail1_2	pt-br	URL de instalação do Gears para o Internet explorer
+View the user name in the header of the messages printed?	expressoMail1_2	pt-br	Exibir o meu nome no cabeçalho das mensagens impressas? 	
+Displays the user name in the header print email	expressoMail1_2	pt-br	Exibe o nome do usuário no cabeçalho de impressão do email 
Index: /sandbox/2.2.0.2/expressoMail1_2/inc/hook_settings.inc.php
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/inc/hook_settings.inc.php	(revision 3995)
+++ /sandbox/2.2.0.2/expressoMail1_2/inc/hook_settings.inc.php	(revision 4231)
@@ -86,4 +86,6 @@
 
 create_select_box('What is the maximum number of messages per page?','max_email_per_page',$default,'This is the number of messages shown in your mailbox per page');
+
+create_check_box('View the user name in the header of the messages printed?', 'show_name_print_messages', 'Displays the user name in the header print email');
 
 //$default = 0;
Index: /sandbox/2.2.0.2/expressoMail1_2/js/main.js
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/js/main.js	(revision 4225)
+++ /sandbox/2.2.0.2/expressoMail1_2/js/main.js	(revision 4231)
@@ -5,4 +5,6 @@
 var autosave_time = 20000;
 
+var cabecalho = '<h4>ExpressoLivre - ExpressoMail</h4>'; 
+
 function init(){
 	if (!is_ie)
@@ -20,4 +22,13 @@
 
 		preferences = data;
+		
+		if(preferences.show_name_print_messages == "1") { 
+			var getUserName = document.getElementById("user_info"); 
+			var userName = getUserName.innerHTML; 
+			var position = userName.indexOf("-"); 
+			var userName = userName.substring(3, position); 
+			cabecalho = '<h4>' + userName; 
+ 	  	}  
+		
 		current_folder="INBOX";
 		
@@ -2150,5 +2161,5 @@
 		try{
 			var html = '<br>';
-			html += "<h4>ExpressoLivre - ExpressoMail</h4>";
+			html += cabecalho + "</h4><hr>";
 			html += folder+"<hr>";
 
@@ -2238,5 +2249,5 @@
 		try{
 			var html ='<body>';
-			html += "<h4>ExpressoLivre - ExpressoMail</h4><hr>";
+			html += cabecalho + "</h4><hr>";
 			html += '<table><tbody>';
 			if(sender)