Index: /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 4231)
+++ /sandbox/2.2.0.2/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 4242)
@@ -645,5 +645,4 @@
 Increases the maximum size of show emails from 100kb to 1mb'	expressoMail1_2	pt-br	Essa opção aumenta o tamanho máximo dos emails mostrados de 100KB para 1MB.
 If you want to install a desktop shortcut for accessing the offline ExpressoMail please confirm it after pressing the Install offline button. </br> The application also can be accessed using the URL:	expressoMail1_2	pt-br	Caso deseje instalar um ícone no desktop para acesso ao expressoMail offline, confirme a pergunta que aparecerá após clicar no botão "instalar offline". <br />A aplicação também pode ser acessada pela URL:
-Your rule contains any accented character. The filter may not work. Do you wish to continue?	expressoMail1_2	en	Sua regra contem algum caracter acentuado. O filtro pode nao funcionar. Deseja continuar?
 The selected folder cotain any accented character. The filter dont work with accented folders. Please, rename the folder or choose another folder.	expressoMail1_2	pt-br	A pasta selecionada contém algum caracter acentuado. O filtro não funcionada com pastas acentuadas. Por favor, mude o nome da pasta ou escolha outra.
 Warning	expressoMail1_2	pt-br	Atenção
Index: /sandbox/2.2.0.2/expressoMail1_2/inc/class.ScriptS.inc.php
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 3859)
+++ /sandbox/2.2.0.2/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 4242)
@@ -215,26 +215,11 @@
 
 	function convert_specialchar($input) {
-		$special_char = false;
-		for ($i = 0; $i < strlen($input); $i++) {
-			if (preg_match('/[^a-z0-9.@~_+=&\'*^\ \-\[\]]/i', $input[$i])) {
-				$special_char = true;
-				$input = preg_replace('/\\' . $input[$i] . '/', '=' . bin2hex($input[$i]), $input);
-			}
-		}
-
-		if ($special_char) {
-			/*			 *
-			 * When using arrays with pattern and replacement, 
-			 * the keys are processed in the order they appear in the array. 
-			 * See preg_replace in php.net/preg_replace 
-			 * */
-			$patterns[0] = '/=c3/i';
-			$patterns[1] = '/ /';
-			$replacements[1] = '';
-			$replacements[0] = '_';
-			$input = preg_replace($patterns, $replacements, $input);
-		}
-
-		return($input);
+		$temp_input = $input; 
+  	  	$temp_input = imap_8bit($temp_input);
+
+		$patterns[0] = '/ /';
+		$replacements[0] = '_'; 
+		$temp_input = preg_replace($patterns, $replacements, $temp_input); 
+		return ($temp_input);
 	}
 
@@ -263,5 +248,5 @@
 			$rule['to'] = $this->convert_specialchar($tmp1[4]);
 			$tmpSubject = $tmp1[5];
-			$rule['subject'] = $this->convert_specialchar($tmp1[5]);
+			$rule['subject'] = $rule['subject']           = " [\"" . $this->convert_specialchar($tmp1[5]) . "\", \"" . base64_encode($tmp1[5]) . "\"]";
 			$rule['action'] = $tmp1[6];
 			$rule['action_arg'] = utf8_encode(preg_replace("/\\r\\n/", "\r\n", $tmp1[7]));
@@ -347,5 +332,5 @@
 							$match = ':regex';
 						$newruletext .= "header " . $match . " \"subject\"";
-						$newruletext .= " \"" . $rule['subject'] . "\"";
+						$newruletext .= "" . $rule['subject'] . "";
 						$started = 1;
 					}
Index: /sandbox/2.2.0.2/expressoMail1_2/js/filter.js
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/js/filter.js	(revision 3962)
+++ /sandbox/2.2.0.2/expressoMail1_2/js/filter.js	(revision 4242)
@@ -556,8 +556,4 @@
 			}
 
-			if ( 
-				( /[^\x00-\x80]/.test( Element("field1").value ) || /[^\x00-\x80]/.test( Element("field2").value ) || /[^\x00-\x80]/.test( Element("field3").value ) )
-				&& ( ! confirm( get_lang ( 'Your rule contains any accented character. The filter may not work. Do you wish to continue?' ) ) )
-			) return false;
 
 			if(LTrim(Element("field1").value) == "" && LTrim(Element("field2").value) == "" && LTrim(Element("field3").value) == "" && Element("field4").value == "")