Index: /sandbox/2.2.0.2/phpgwapi/setup/tables_update.inc.php
===================================================================
--- /sandbox/2.2.0.2/phpgwapi/setup/tables_update.inc.php	(revision 4186)
+++ /sandbox/2.2.0.2/phpgwapi/setup/tables_update.inc.php	(revision 4306)
@@ -115,3 +115,9 @@
 		return $GLOBALS['setup_info']['phpgwapi']['currentver'];
 	}
+	$test[] = '2.2.1'; 
+ 	function phpgwapi_upgrade2_2_1() 
+ 	{ 
+ 	    $GLOBALS['setup_info']['phpgwapi']['currentver'] = '2.2.2'; 
+ 	    return $GLOBALS['setup_info']['phpgwapi']['currentver']; 
+ 	} 
 ?>
Index: /sandbox/2.2.0.2/mobile/setup/setup.inc.php
===================================================================
--- /sandbox/2.2.0.2/mobile/setup/setup.inc.php	(revision 4277)
+++ /sandbox/2.2.0.2/mobile/setup/setup.inc.php	(revision 4306)
@@ -14,5 +14,5 @@
 	$setup_info['mobile']['name']      = 'mobile';
 	$setup_info['mobile']['title']     = 'Expresso Mini';
-	$setup_info['mobile']['version']   = '2.2.1';
+	$setup_info['mobile']['version']   = '2.2.2';
 	$setup_info['mobile']['app_order'] = 4;
 	$setup_info['mobile']['enable']    = 2;
Index: /sandbox/2.2.0.2/expressoAdmin1_2/setup/tables_update.inc.php
===================================================================
--- /sandbox/2.2.0.2/expressoAdmin1_2/setup/tables_update.inc.php	(revision 4186)
+++ /sandbox/2.2.0.2/expressoAdmin1_2/setup/tables_update.inc.php	(revision 4306)
@@ -67,3 +67,9 @@
 		return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'];
 	}
+	$test[] = '2.2.1'; 
+ 	function expressoAdmin1_2_upgrade2_2_1() 
+ 	{ 
+ 	    $GLOBALS['setup_info']['expressoAdmin1_2']['currentver'] = '2.2.2'; 
+ 	    return $GLOBALS['setup_info']['expressoAdmin1_2']['currentver']; 
+ 	} 
 ?>
Index: /sandbox/2.2.0.2/expressoAdmin1_2/setup/setup.inc.php
===================================================================
--- /sandbox/2.2.0.2/expressoAdmin1_2/setup/setup.inc.php	(revision 4186)
+++ /sandbox/2.2.0.2/expressoAdmin1_2/setup/setup.inc.php	(revision 4306)
@@ -13,5 +13,5 @@
 	$setup_info['expressoAdmin1_2']['title']     	= 'Expresso Admin';
 	/* Ao incrementar versão, não esquecer de declarar função do tables_update.inc.php*/
-	$setup_info['expressoAdmin1_2']['version']   	= '2.2.1';
+	$setup_info['expressoAdmin1_2']['version']   	= '2.2.2';
 	$setup_info['expressoAdmin1_2']['app_order']	= 1;
 	$setup_info['expressoAdmin1_2']['tables'][]		= 'phpgw_expressoadmin';
Index: /sandbox/2.2.0.2/contactcenter/setup/tables_update.inc.php
===================================================================
--- /sandbox/2.2.0.2/contactcenter/setup/tables_update.inc.php	(revision 4186)
+++ /sandbox/2.2.0.2/contactcenter/setup/tables_update.inc.php	(revision 4306)
@@ -59,3 +59,9 @@
 		return $GLOBALS['setup_info']['contactcenter']['currentver'];
 	}
+	
+	$test[] = '2.2.1'; 
+ 	function contactcenter_upgrade2_2_1() { 
+ 	    $GLOBALS['setup_info']['contactcenter']['currentver'] = '2.2.2'; 
+ 	    return $GLOBALS['setup_info']['contactcenter']['currentver']; 
+ 	}
 ?>
Index: /sandbox/2.2.0.2/contactcenter/setup/setup.inc.php
===================================================================
--- /sandbox/2.2.0.2/contactcenter/setup/setup.inc.php	(revision 4186)
+++ /sandbox/2.2.0.2/contactcenter/setup/setup.inc.php	(revision 4306)
@@ -17,5 +17,5 @@
 	$setup_info['contactcenter']['name']      = 'contactcenter';
 	$setup_info['contactcenter']['title']     = 'ContactCenter';
-	$setup_info['contactcenter']['version']   = '2.2.1';
+	$setup_info['contactcenter']['version']   = '2.2.2';
 	$setup_info['contactcenter']['app_order'] = 4;
 	$setup_info['contactcenter']['enable']    = 1;
Index: /sandbox/2.2.0.2/expressoMail1_2/setup/tables_update.inc.php
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/setup/tables_update.inc.php	(revision 4186)
+++ /sandbox/2.2.0.2/expressoMail1_2/setup/tables_update.inc.php	(revision 4306)
@@ -106,3 +106,8 @@
 		return $setup_info['expressoMail1_2']['currentver'];
 	}
+	$test[] = '2.2.1'; 
+ 	function expressoMail1_2_upgrade2_2_1() { 
+ 	    $setup_info['expressoMail1_2']['currentver'] = '2.2.2'; 
+ 	    return $setup_info['expressoMail1_2']['currentver']; 
+ 	} 
 ?>
Index: /sandbox/2.2.0.2/expressoMail1_2/setup/setup.inc.php
===================================================================
--- /sandbox/2.2.0.2/expressoMail1_2/setup/setup.inc.php	(revision 4186)
+++ /sandbox/2.2.0.2/expressoMail1_2/setup/setup.inc.php	(revision 4306)
@@ -12,5 +12,5 @@
 	$setup_info['expressoMail1_2']['name']      	= 'expressoMail1_2';
 	$setup_info['expressoMail1_2']['title']     	= 'Expresso Mail';
-	$setup_info['expressoMail1_2']['version']   	= '2.2.1';
+	$setup_info['expressoMail1_2']['version']   	= '2.2.2';
 	$setup_info['expressoMail1_2']['app_order'] 	= 2;
 	$setup_info['expressoMail1_2']['tables'][]		= 'phpgw_expressomail_contacts';