Index: branches/2.2.0.1/calendar/inc/class.uicalendar.inc.php
===================================================================
--- branches/2.2.0.1/calendar/inc/class.uicalendar.inc.php	(revision 4270)
+++ branches/2.2.0.1/calendar/inc/class.uicalendar.inc.php	(revision 4311)
@@ -5377,5 +5377,5 @@
 
                         $events_to_show_json = array();
-
+			$templateSet = $GLOBALS['phpgw_info']['server']['template_set'];
                         foreach($dates as $day)
                         {
@@ -5402,18 +5402,9 @@
                                 }
 
-                                if($_GET['menuaction'] ==  'calendar.uicalendar.day')
-                                {
-                                    $text = $event['description'];
-                                }
-                                else
-                                {
-                                        $text = ' - '.$event['end']['hour'].':'.$event['end']['min'].' - '.$event['title']." - ".$event['description'];
-                                }
-
                                 $isPublic = 1;
                                 if(($event['type'] == E && $event['public'] == 0))
                                 {
                                     $isPublic = 0;
-                                    $isPublicTitle = "Restrito";
+                                    $isPublicTitle = lang('restrict');
                                 }
 
@@ -5421,5 +5412,5 @@
                                 {
                                     $isPublic = 0;
-                                    $isPublicTitle = "Privado";
+                                    $isPublicTitle = lang('private');
                                 }
 
@@ -5444,7 +5435,48 @@
                                 }
                                 if($event['users_status'] == 'R')
+				{
                                     $rejected = TRUE;
+				}
                                 else
+				{
                                     $rejected = FALSE;
+				}
+
+				if($_GET['menuaction'] ==  'calendar.uicalendar.day')
+                                {
+                                    $text = $event['description'];
+                                }
+                                elseif($_GET['menuaction'] ==  'calendar.uicalendar.week')
+                                {
+				    $text = ' - '.$event['end']['hour'].':'.$event['end']['min'];
+
+				    //is recurrent?
+				    $text .= (isset($recur) && $recur != false) ? ' ' . '<img width="10px" height="10px" border="0" title="'.lang('recurring event').'" src="calendar/templates/'.$templateSet.'/images/recur.png"/>' : '' ;
+				    
+				    //participants?
+				    if(count($event['participants']) > 1)
+				    {
+					$text .= " " . '<img width="11px" height="10px" border="0" title="'.$participants.'" src="calendar/templates/'.$templateSet.'/images/multi_3.png"/>';
+				    }
+				    else
+				    {
+					$text .= " " . '<img width="11px" height="10px" border="0" title="'.$participants.'" src="calendar/templates/'.$templateSet.'/images/single.png"/>';
+				    }
+
+				    //has attachments?
+				    $text .= (isset($event['attachment']) && $event['attachment'] != '') ? ' ' . '<img width="10px" height="10px" border="0" title="'.lang('email notifications with attachments has been sent').'" src="calendar/templates/'.$templateSet.'/images/clip.png"/>' : '' ;
+
+				    //is public?
+				    $text .= $isPublic == 0 ? ' ' . '<img width="11px" height="10px" border="0" title="'.$isPublicTitle.'" src="calendar/templates/'.$templateSet.'/images/private.png"/>' : '' ;
+
+				    //has alarm?
+				    $text .= (isset($event['alarm']) && count($event['alarm']) >= 1) ? ' ' . '<img width="11px" height="10px" border="0" title="'.lang('alarm').'" src="calendar/templates/'.$templateSet.'/images/alarm.png"/>' : '' ;
+				    
+				    $text .= ' - ' . $event['title']." - ".$event['description'];
+                                }
+				else
+				{
+				    $text = ' - '.$event['end']['hour'].':'.$event['end']['min'] . ' - '. $event['title']." - ".$event['description'];
+				}
 
                                 $events_to_show_json[] = array(
@@ -5460,8 +5492,11 @@
                                     participants_title	    => $participants,
                                     attachments		    => $event['attachment'] ? 1 : 0 ,
+				    attachmentsTitle	    => utf8_encode(lang('email notifications with attachments has been sent')),
                                     isPublic		    => $isPublic,
-                                    isPublicTitle	    => $isPublicTitle,
+                                    isPublicTitle	    => utf8_encode($isPublicTitle),
                                     alarm		    => (isset($event['alarm']) && count($event['alarm']) >= 1) ? 1 : 0,
+				    alarmTitle		    => utf8_encode(lang('alarm')),
                                     recur		    => $recur,
+				    recurTitle		    => utf8_encode(lang('recurring event')),
                                     intersection	    => $intersection,
                                     rejected                => $rejected